# Token Fundraising API v1

## Getting Started

#### **Base URL** <a href="#base-url" id="base-url"></a>

```
https://api.unlocks.app
```

#### **Authentication** <a href="#authentication" id="authentication"></a>

Provide your api key in the `x-api-key` header.

<pre><code><strong>GET https://api.unlocks.app/v1/fundraising/token/{tokenId}
</strong>HEADER: x-api-key: &#x3C;YOUR_API_KEY>
</code></pre>

**Parameters**

Note: `tokenId` needs to be specified.

* investorId (required): Get `tokenId` from [Token List API](/api-documents/api-endpoints/token-list-api.md)
* fundingDateMin (optional): The start date for time filtering in the format YYYY-MM-DD. Defaults to the earliest available date.
* fundingDateMax (optional): The end date for time filtering in the format YYYY-MM-DD. Defaults is the furthest available date.
* raisedAmountMin (optional): The minimum amount raised for filtering&#x20;
* raisedAmountMax (optional): The maximum amount raised for filtering&#x20;

**Example:**

```
curl -X 'GET' \
  'https://api.unlocks.app/v1/fundraising/token/uniswap' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Response**

```json
{
    "metadata": {
        "queryDate": "2026-01-08T10:22:54Z"
    },
    "status": true,
    "data": {
        "tokenId": "uniswap",
        "tokenName": "Uniswap",
        "tokenSymbol": "UNI",
        "listedMethod": "INTERNAL",
        "totalAmountRaised": 181000000,
        "unlockedInvestor": null,
        "investorReleasedPercentage": null,
        "fundingRounds": [
            {
                "fundingRound": "Series B",
                "fundingDate": "2022-10-13T00:00:00Z",
                "raiseType": null,
                "amountRaised": 165000000,
                "valuation": 1660000000,
                "pricePerToken": null,
                "sourceURLList": [
                    "https://blog.uniswap.org/bringing-web3-to-everyone",
                    "https://www.coindesk.com/business/2022/10/13/crypto-exchange-uniswap-labs-raises-165m-in-polychain-capital-led-round"
                ],
                "investors": [
                    {
                        "investorId": "polychain-capital",
                        "investorName": "Polychain Capital",
                        "isLeadInvestor": true
                    },
                    {
                        "investorId": "andreessen-horowitz",
                        "investorName": "Andreessen Horowitz (a16z)",
                        "isLeadInvestor": false
                    },
                    ...
                ],
                "numberOfInvestors": 5
            },
            {
                "fundingRound": "Series A",
                "fundingDate": "2020-08-06T00:00:00Z",
                "raiseType": null,
                "amountRaised": 11000000,
                "valuation": null,
                "pricePerToken": null,
                "sourceURLList": [
                    "https://blog.uniswap.org/uniswap-raise"
                ],
                "investors": [
                    {
                        "investorId": "andreessen-horowitz",
                        "investorName": "Andreessen Horowitz (a16z)",
                        "isLeadInvestor": true
                    },
                    {
                        "investorId": "a-capital",
                        "investorName": "A Capital Ventures",
                        "isLeadInvestor": false
                    },
                    {
                        "investorId": "paradigm",
                        "investorName": "Paradigm",
                        "isLeadInvestor": false
                    },
                    ...
                ],
                "numberOfInvestors": 8
            },
            {
                "fundingRound": "Seed Round",
                "fundingDate": "2019-04-24T00:00:00Z",
                "raiseType": null,
                "amountRaised": 5000000,
                "valuation": null,
                "pricePerToken": null,
                "sourceURLList": [
                    "https://finance.yahoo.com/news/paradigm-backs-decentralized-exchange-protocol-184824051.html"
                ],
                "investors": [
                    {
                        "investorId": "paradigm",
                        "investorName": "Paradigm",
                        "isLeadInvestor": true
                    }
                ],
                "numberOfInvestors": 1
            }
        ]
    }
}
```

The response includes time series data with the date (in UTC timezone).

**Return Fields Explanation**

| Fields                     | Data Type | Description                                    |
| -------------------------- | --------- | ---------------------------------------------- |
| tokenId                    | string    | Identifier to call for a Dataset               |
| tokenName                  | string    | Token Name                                     |
| tokenSymbol                | string    | Token Symbol                                   |
| listedMethod               | string    | Method of listing(INTERNAL, AI, EXTERNAL)      |
| totalAmountRaised          | number    | Total Amount Raised                            |
| unlockedInvestor           | number    | Total Amount Unlocked from Investor Allocation |
| investorReleasedPercentage | number    | Progress of Investor Unlocked                  |

**Return Fields Explanation: Funding Rounds**

| Fields        | Data Type | Description                                   |
| ------------- | --------- | --------------------------------------------- |
| fundingRound  | string    | Funding Round                                 |
| fundingDate   | string    | Funding Date                                  |
| raiseType     | boolean   | Raise Type                                    |
| amountRaised  | number    | Raise Amount in that Round                    |
| valuation     | number    | Valuation                                     |
| pricePerToken | number    | Cost of Token for this Investor at that Round |
| sourceURLList | string    | URL to Sources of Data                        |

**Return Fields Explanation: Investors**

| Fields         | Data Type | Description                      |
| -------------- | --------- | -------------------------------- |
| investorId     | string    | Identifier to call for a Dataset |
| investorName   | string    | Investor Name                    |
| isLeadInvestor | boolean   | Identifier for Lead Investors    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unlocks.app/api-documents/api-endpoints/token-fundraising-api/token-fundraising-api-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
